import React from 'react';
interface TreeLayoutProps<T, X> extends Omit<React.HTMLProps<HTMLDivElement>, 'data'> {
    data: T;
    getNodeSize: (node: T) => [number, number];
    getNodeKey: (node: T) => string;
    getLinkWidth: (sourceNodeData: T, targetNodeData: T, metaData?: X) => number;
    linkColor: string;
    arrowColor: string;
    verticalSpacing: number;
    horizontalSpacing: number;
    children: (node: T) => React.ReactElement | null;
    scale?: number;
}
declare function TreeLayout<T, X>({ data, getNodeSize, getNodeKey, linkColor, getLinkWidth, arrowColor, horizontalSpacing, verticalSpacing, children, scale, ...divProps }: TreeLayoutProps<T, X>): JSX.Element;
export default TreeLayout;
//# sourceMappingURL=tree-layout.d.ts.map